Description

I suggest making the manual entry for RandomLinearForm more explicit, now that we have HomogCompt which respects weighted

degrees.

History

#1 - 20 Mar 2020 12:35 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Robbiano requested the new function LinearForm (see #1439), and clearly had in mind that it should be linear wrt the weighted degrees.

After some consideration I implemented HomogCompt (see #1439 again).

Now looking for "linearform" in the manual gives the page for RandomLinearForm, a function which ignores the weighted degrees!

I think that page should have a "see also" referring to HomogCompt, and the description should make it clear that the weights are ignored.

What do you think?

#2 - 20 Mar 2020 12:54 - John Abbott

I have just checked in a (very) minor update to the man page for RandomLinearForm.

I have added a see-also to HomogCompt.

#3 - 04 Nov 2021 20:39 - John Abbott

- % Done changed from 10 to 50

#4 - 03 Feb 2022 19:28 - John Abbott

- % Done changed from 50 to 70

Is this issue now resolved satisfactorily?

I guess so.  If so, close it!

#5 - 23 Feb 2022 12:54 - John Abbott

- Status changed from In Progress to Closed

- Assignee set to John Abbott

- % Done changed from 70 to 100
- Estimated time set to 0.66 h

The new fn HomogCompt seems to have solved the problem (provided the grading dim is 1).

I'll update the manual.

Closing.
